Bug 227724

Summary: _WKWebAuthenticationPanel escapes slashes in origin
Product: WebKit Reporter: Garrett Davidson <garrett_davidson>
Component: New BugsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: bfulgham, katherine_cheney, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch none

Description Garrett Davidson 2021-07-06 15:04:23 PDT
_WKWebAuthenticationPanel escapes slashes in origin
Comment 1 Garrett Davidson 2021-07-06 15:06:13 PDT
Created attachment 432979 [details]
Patch
Comment 2 Garrett Davidson 2021-07-06 15:06:17 PDT
<rdar://problem/80232742>
Comment 3 Brent Fulgham 2021-07-06 15:35:11 PDT
Comment on attachment 432979 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=432979&action=review

> Source/WebKit/UIProcess/API/Cocoa/_WKWebAuthenticationPanel.mm:76
> +    return [NSJSONSerialization dataWithJSONObject:dictionary.get() options:(NSJSONWritingSortedKeys | NSJSONWritingWithoutEscapingSlashes) error:nil];

Seems like we should add a test of some kind to make sure we don't break this.

Could you add a TestWebKitAPI test to OpenSource/Tools/TestWebKitAPI/Tests/WebKitCocoa/_WKWebAuthenticationPanel.mm that confirms that the JSON blob is right?
Comment 4 Garrett Davidson 2021-07-08 11:07:30 PDT
Created attachment 433143 [details]
Patch
Comment 5 Kate Cheney 2021-07-12 16:08:27 PDT
Comment on attachment 433143 [details]
Patch

r=me
Comment 6 EWS 2021-07-12 16:43:23 PDT
Committed r279856 (239610@main): <https://commits.webkit.org/239610@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 433143 [details].